Index: inc/core/class.dc.error.php
===================================================================
--- inc/core/class.dc.error.php	(revision 3750)
+++ inc/core/class.dc.error.php	(revision 3874)
@@ -19,5 +19,5 @@
 {
     /** @var array Errors stack */
-    protected $errors = array();
+    protected $errors = [];
     /** @var boolean True if stack is not empty */
     protected $flag = false;
@@ -72,5 +72,5 @@
     {
         $this->flag   = false;
-        $this->errors = array();
+        $this->errors = [];
     }
 
Index: inc/core/class.dc.log.php
===================================================================
--- inc/core/class.dc.log.php	(revision 3731)
+++ inc/core/class.dc.log.php	(revision 3874)
@@ -41,5 +41,5 @@
     @return    <b>record</b>    A record with some more capabilities
      */
-    public function getLogs($params = array(), $count_only = false)
+    public function getLogs($params = [], $count_only = false)
     {
         if ($count_only) {
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 3731)
+++ inc/core/class.dc.media.php	(revision 3874)
@@ -23,5 +23,5 @@
     protected $file_sort = 'name-asc';
 
-    protected $file_handler = array(); ///< <b>array</b> Array of callbacks
+    protected $file_handler = []; ///< <b>array</b> Array of callbacks
 
     public $thumb_tp       = '%s/.%s_%s.jpg'; ///< <b>string</b> Thumbnail file pattern
@@ -35,10 +35,10 @@
     - sq: square image
      */
-    public $thumb_sizes = array(
-        'm'  => array(448, 'ratio', 'medium'),
-        's'  => array(240, 'ratio', 'small'),
-        't'  => array(100, 'ratio', 'thumbnail'),
-        'sq' => array(48, 'crop', 'square')
-    );
+    public $thumb_sizes = [
+        'm'  => [448, 'ratio', 'medium'],
+        's'  => [240, 'ratio', 'small'],
+        't'  => [100, 'ratio', 'thumbnail'],
+        'sq' => [48, 'crop', 'square']
+    ];
 
     public $icon_img = 'images/media/%s.png'; ///< <b>string</b> Icon file pattern
@@ -91,25 +91,25 @@
 
         # Event handlers
-        $this->addFileHandler('image/jpeg', 'create', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/png', 'create', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/gif', 'create', array($this, 'imageThumbCreate'));
-
-        $this->addFileHandler('image/png', 'update', array($this, 'imageThumbUpdate'));
-        $this->addFileHandler('image/jpeg', 'update', array($this, 'imageThumbUpdate'));
-        $this->addFileHandler('image/gif', 'update', array($this, 'imageThumbUpdate'));
-
-        $this->addFileHandler('image/png', 'remove', array($this, 'imageThumbRemove'));
-        $this->addFileHandler('image/jpeg', 'remove', array($this, 'imageThumbRemove'));
-        $this->addFileHandler('image/gif', 'remove', array($this, 'imageThumbRemove'));
-
-        $this->addFileHandler('image/jpeg', 'create', array($this, 'imageMetaCreate'));
-
-        $this->addFileHandler('image/jpeg', 'recreate', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/png', 'recreate', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/gif', 'recreate', array($this, 'imageThumbCreate'));
-
-        $this->addFileHandler('image/jpeg', 'recreate', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/png', 'recreate', array($this, 'imageThumbCreate'));
-        $this->addFileHandler('image/gif', 'recreate', array($this, 'imageThumbCreate'));
+        $this->addFileHandler('image/jpeg', 'create', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/png', 'create', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/gif', 'create', [$this, 'imageThumbCreate']);
+
+        $this->addFileHandler('image/png', 'update', [$this, 'imageThumbUpdate']);
+        $this->addFileHandler('image/jpeg', 'update', [$this, 'imageThumbUpdate']);
+        $this->addFileHandler('image/gif', 'update', [$this, 'imageThumbUpdate']);
+
+        $this->addFileHandler('image/png', 'remove', [$this, 'imageThumbRemove']);
+        $this->addFileHandler('image/jpeg', 'remove', [$this, 'imageThumbRemove']);
+        $this->addFileHandler('image/gif', 'remove', [$this, 'imageThumbRemove']);
+
+        $this->addFileHandler('image/jpeg', 'create', [$this, 'imageMetaCreate']);
+
+        $this->addFileHandler('image/jpeg', 'recreate', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/png', 'recreate', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/gif', 'recreate', [$this, 'imageThumbCreate']);
+
+        $this->addFileHandler('image/jpeg', 'recreate', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/png', 'recreate', [$this, 'imageThumbCreate']);
+        $this->addFileHandler('image/gif', 'recreate', [$this, 'imageThumbCreate']);
 
         # Thumbnails sizes
@@ -158,11 +158,7 @@
     }
 
-    protected function callFileHandler($type, $event)
+    protected function callFileHandler($type, $event, ...$args)
     {
         if (!empty($this->file_handler[$type][$event])) {
-            $args = func_get_args();
-            array_shift($args);
-            array_shift($args);
-
             foreach ($this->file_handler[$type][$event] as $f) {
                 call_user_func_array($f, $args);
@@ -295,5 +291,5 @@
 
             # Thumbnails
-            $f->media_thumb = array();
+            $f->media_thumb = [];
             $p              = path::info($f->relname);
 
@@ -335,5 +331,5 @@
     public function setFileSort($type = 'name')
     {
-        if (in_array($type, array('name-asc', 'name-desc', 'date-asc', 'date-desc'))) {
+        if (in_array($type, ['name-asc', 'name-desc', 'date-asc', 'date-desc'])) {
             $this->file_sort = $type;
         }
@@ -406,5 +402,5 @@
         parent::getDir();
 
-        $f_res = array();
+        $f_res = [];
         $p_dir = $this->dir;
 
@@ -418,5 +414,5 @@
         }
 
-        $f_reg = array();
+        $f_reg = [];
 
         while ($rs->fetch()) {
@@ -471,5 +467,5 @@
         }
         try {
-            usort($this->dir['files'], array($this, 'sortFileHandler'));
+            usort($this->dir['files'], [$this, 'sortFileHandler']);
         } catch (Exception $e) {}
     }
@@ -536,6 +532,6 @@
         $rs = $this->con->select($strReq);
 
-        $this->dir = array('dirs' => array(), 'files' => array());
-        $f_res     = array();
+        $this->dir = ['dirs' => [], 'files' => []];
+        $f_res     = [];
         while ($rs->fetch()) {
             $fr = $this->fileRecord($rs);
@@ -547,5 +543,5 @@
 
         try {
-            usort($this->dir['files'], array($this, 'sortFileHandler'));
+            usort($this->dir['files'], [$this, 'sortFileHandler']);
         } catch (Exception $e) {}
 
@@ -564,8 +560,8 @@
     public function getPostMedia($post_id, $media_id = null, $link_type = null)
     {
-        $params = array(
+        $params = [
             'post_id'    => $post_id,
             'media_path' => $this->path
-        );
+        ];
         if ($media_id) {
             $params['media_id'] = (integer) $media_id;
@@ -576,5 +572,5 @@
         $rs = $this->postmedia->getPostMedia($params);
 
-        $res = array();
+        $res = [];
 
         while ($rs->fetch()) {
@@ -651,5 +647,5 @@
         $delReq = 'DELETE FROM ' . $this->table . ' ' .
             'WHERE media_id IN (%s) ';
-        $del_ids = array();
+        $del_ids = [];
 
         while ($rs->fetch()) {
@@ -1119,5 +1115,5 @@
 
             if (!is_array($args)) {
-                $args = array(
+                $args = [
                     'showvolume'      => 1,
                     'loadingcolor'    => 'ff9900',
@@ -1129,5 +1125,5 @@
                     'slidercolor2'    => '999999',
                     'sliderovercolor' => '0066cc'
-                );
+                ];
             }
 
@@ -1141,5 +1137,5 @@
             }
 
-            $vars = array();
+            $vars = [];
             foreach ($args as $k => $v) {
                 $vars[] = $k . '=' . $v;
@@ -1205,5 +1201,5 @@
 
             if (!is_array($args)) {
-                $args = array(
+                $args = [
                     'margin'          => 1,
                     'showvolume'      => 1,
@@ -1214,5 +1210,5 @@
                     'slidercolor2'    => '999999',
                     'sliderovercolor' => '0066cc'
-                );
+                ];
             }
 
@@ -1226,5 +1222,5 @@
             }
 
-            $vars = array();
+            $vars = [];
             foreach ($args as $k => $v) {
                 $vars[] = $k . '=' . $v;
@@ -1268,5 +1264,5 @@
 
         if (!is_array($args)) {
-            $args = array(
+            $args = [
                 'showvolume'      => 1,
                 'loadingcolor'    => 'ff9900',
@@ -1278,5 +1274,5 @@
                 'slidercolor2'    => '999999',
                 'sliderovercolor' => '0066cc'
-            );
+            ];
         }
 
@@ -1290,5 +1286,5 @@
         }
 
-        $vars = array();
+        $vars = [];
         foreach ($args as $k => $v) {
             $vars[] = $k . '=' . $v;
@@ -1325,5 +1321,5 @@
 
         if (!is_array($args)) {
-            $args = array(
+            $args = [
                 'margin'          => 1,
                 'showvolume'      => 1,
@@ -1334,5 +1330,5 @@
                 'slidercolor2'    => '999999',
                 'sliderovercolor' => '0066cc'
-            );
+            ];
         }
 
@@ -1346,5 +1342,5 @@
         }
 
-        $vars = array();
+        $vars = [];
         foreach ($args as $k => $v) {
             $vars[] = $k . '=' . $v;
Index: inc/core/class.dc.meta.php
===================================================================
--- inc/core/class.dc.meta.php	(revision 3733)
+++ inc/core/class.dc.meta.php	(revision 3874)
@@ -42,5 +42,5 @@
     public function splitMetaValues($str)
     {
-        $res = array();
+        $res = [];
         foreach (explode(',', $str) as $i => $tag) {
             $tag = trim($tag);
@@ -80,5 +80,5 @@
 
         if (!is_array($meta)) {
-            return array();
+            return [];
         }
 
@@ -118,9 +118,9 @@
     {
         $meta = $this->getMetaArray($str);
-        $data = array();
+        $data = [];
 
         if (isset($meta[$type])) {
             foreach ($meta[$type] as $v) {
-                $data[] = array(
+                $data[] = [
                     'meta_id'       => $v,
                     'meta_type'     => $type,
@@ -129,5 +129,5 @@
                     'percent'       => 0,
                     'roundpercent'  => 0
-                );
+                ];
             }
         }
@@ -191,5 +191,5 @@
         $rs = $this->con->select($strReq);
 
-        $meta = array();
+        $meta = [];
         while ($rs->fetch()) {
             $meta[$rs->meta_type][] = $rs->meta_id;
@@ -216,5 +216,5 @@
     @return    <b>record</b>    the resulting posts record
      */
-    public function getPostsByMeta($params = array(), $count_only = false)
+    public function getPostsByMeta($params = [], $count_only = false)
     {
         if (!isset($params['meta_id'])) {
@@ -248,5 +248,5 @@
     @return    <b>record</b>    the resulting comments record
      */
-    public function getCommentsByMeta($params = array(), $count_only = false)
+    public function getCommentsByMeta($params = [], $count_only = false)
     {
         if (!isset($params['meta_id'])) {
@@ -282,5 +282,5 @@
     public function getMeta($type = null, $limit = null, $meta_id = null, $post_id = null)
     {
-        $params = array();
+        $params = [];
 
         if ($type != null) {
@@ -320,5 +320,5 @@
     @return    <b>record</b>    the resulting comments record
      */
-    public function getMetadata($params = array(), $count_only = false)
+    public function getMetadata($params = [], $count_only = false)
     {
         if ($count_only) {
@@ -390,5 +390,5 @@
         $rs_static = $rs->toStatic();
 
-        $max = array();
+        $max = [];
         while ($rs_static->fetch()) {
             $type = $rs_static->meta_type;
@@ -513,5 +513,5 @@
         }
 
-        $to_update = $to_remove = array();
+        $to_update = $to_remove = [];
 
         $rs = $this->con->select(sprintf($getReq, $this->con->escape($meta_id),
@@ -587,8 +587,8 @@
 
         if ($rs->isEmpty()) {
-            return array();
-        }
-
-        $ids = array();
+            return [];
+        }
+
+        $ids = [];
         while ($rs->fetch()) {
             $ids[] = $rs->post_id;
Index: inc/core/class.dc.modules.php
===================================================================
--- inc/core/class.dc.modules.php	(revision 3731)
+++ inc/core/class.dc.modules.php	(revision 3874)
@@ -18,12 +18,12 @@
     protected $path;
     protected $ns;
-    protected $modules       = array();
-    protected $disabled      = array();
-    protected $errors        = array();
-    protected $modules_names = array();
-    protected $all_modules   = array();
+    protected $modules       = [];
+    protected $disabled      = [];
+    protected $errors        = [];
+    protected $modules_names = [];
+    protected $all_modules   = [];
     protected $disabled_mode = false;
-    protected $disabled_meta = array();
-    protected $to_disable    = array();
+    protected $disabled_meta = [];
+    protected $to_disable    = [];
 
     protected $id;
@@ -31,5 +31,5 @@
 
     # Inclusion variables
-    protected static $superglobals = array('GLOBALS', '_SERVER', '_GET', '_POST', '_COOKIE', '_FILES', '_ENV', '_REQUEST', '_SESSION');
+    protected static $superglobals = ['GLOBALS', '_SERVER', '_GET', '_POST', '_COOKIE', '_FILES', '_ENV', '_REQUEST', '_SESSION'];
     protected static $_k;
     protected static $_n;
@@ -60,11 +60,11 @@
     {
         $dc_version       = preg_replace('/\-dev$/', '', DC_VERSION);
-        $this->to_disable = array();
+        $this->to_disable = [];
         foreach ($this->all_modules as $k => &$m) {
             if (isset($m['requires'])) {
-                $missing = array();
+                $missing = [];
                 foreach ($m['requires'] as &$dep) {
                     if (!is_array($dep)) {
-                        $dep = array($dep);
+                        $dep = [$dep];
                     }
                     // grab missing dependencies
@@ -91,5 +91,5 @@
                     $m['cannot_enable'] = $missing;
                     if ($m['enabled']) {
-                        $this->to_disable[] = array('name' => $k, 'reason' => $missing);
+                        $this->to_disable[] = ['name' => $k, 'reason' => $missing];
                     }
                 }
@@ -119,5 +119,5 @@
             return false;
         }
-        $reason = array();
+        $reason = [];
         foreach ($this->to_disable as $module) {
             try {
@@ -132,5 +132,5 @@
                 join('', $reason)
             );
-            dcPage::addWarningNotice($message, array('divtag' => true, 'with_ts' => false));
+            dcPage::addWarningNotice($message, ['divtag' => true, 'with_ts' => false]);
             $url = $redir_url . (strpos($redir_url, "?") ? '&' : '?') . 'dep=1';
             http::redirect($url);
@@ -161,5 +161,5 @@
         $disabled = $disabled && !get_parent_class($this) ? true : false;
 
-        $ignored = array();
+        $ignored = [];
 
         foreach ($this->path as $root) {
@@ -211,5 +211,5 @@
         $this->checkDependencies();
         # Sort plugins
-        uasort($this->modules, array($this, 'sortModules'));
+        uasort($this->modules, [$this, 'sortModules']);
 
         foreach ($this->modules as $id => $m) {
@@ -229,5 +229,5 @@
             if ($ns == 'admin') {
                 $this->loadModuleL10Nresources($id, $lang);
-                $this->core->adminurl->register('admin.plugin.' . $id, 'plugin.php', array('p' => $id));
+                $this->core->adminurl->register('admin.plugin.' . $id, 'plugin.php', ['p' => $id]);
             }
         }
@@ -275,10 +275,10 @@
     (currently available keys : permissions, priority, type)
      */
-    public function registerModule($name, $desc, $author, $version, $properties = array())
+    public function registerModule($name, $desc, $author, $version, $properties = [])
     {
         if ($this->disabled_mode) {
             $this->disabled_meta = array_merge(
                 $properties,
-                array(
+                [
                     'root'          => $this->mroot,
                     'name'          => $name,
@@ -288,5 +288,5 @@
                     'enabled'       => false,
                     'root_writable' => is_writable($this->mroot)
-                )
+                ]
             );
             return;
@@ -295,5 +295,5 @@
         if (!is_array($properties)) {
             $args       = func_get_args();
-            $properties = array();
+            $properties = [];
             if (isset($args[4])) {
                 $properties['permissions'] = $args[4];
@@ -306,5 +306,5 @@
         # Default module properties
         $properties = array_merge(
-            array(
+            [
                 'permissions'       => null,
                 'priority'          => 1000,
@@ -312,7 +312,7 @@
                 'type'              => null,
                 'enabled'           => true,
-                'requires'          => array(),
-                'settings'          => array()
-            ), $properties
+                'requires'          => [],
+                'settings'          => []
+            ], $properties
         );
 
@@ -346,5 +346,5 @@
                 $this->modules[$this->id]   = array_merge(
                     $properties,
-                    array(
+                    [
                         'root'          => $this->mroot,
                         'name'          => $name,
@@ -353,5 +353,5 @@
                         'version'       => $version,
                         'root_writable' => is_writable($this->mroot)
-                    )
+                    ]
                 );
             } else {
@@ -370,7 +370,7 @@
     public function resetModulesList()
     {
-        $this->modules       = array();
-        $this->modules_names = array();
-        $this->errors        = array();
+        $this->modules       = [];
+        $this->modules_names = [];
+        $this->errors        = [];
     }
 
@@ -476,5 +476,5 @@
     public function installModules()
     {
-        $res = array('success' => array(), 'failure' => array());
+        $res = ['success' => [], 'failure' => []];
         foreach ($this->modules as $id => &$m) {
             $i = $this->installModule($id, $msg);
Index: inc/core/class.dc.namespace.php
===================================================================
--- inc/core/class.dc.namespace.php	(revision 3773)
+++ inc/core/class.dc.namespace.php	(revision 3874)
@@ -18,8 +18,8 @@
     protected $blog_id; ///< <b>string</b> Blog ID
 
-    protected $global_settings = array(); ///< <b>array</b> Global settings array
-    protected $local_settings  = array(); ///< <b>array</b> Local settings array
-    protected $settings        = array(); ///< <b>array</b> Associative settings array
-    protected $ns;                        ///< <b>string</b> Current namespace
+    protected $global_settings = []; ///< <b>array</b> Global settings array
+    protected $local_settings  = []; ///< <b>array</b> Local settings array
+    protected $settings        = []; ///< <b>array</b> Associative settings array
+    protected $ns;                   ///< <b>string</b> Current namespace
 
     /**
@@ -83,5 +83,5 @@
             $array = $rs->blog_id ? 'local' : 'global';
 
-            $this->{$array . '_settings'}[$id] = array(
+            $this->{$array . '_settings'}[$id] = [
                 'ns'     => $this->ns,
                 'value'  => $value,
@@ -89,5 +89,5 @@
                 'label'  => (string) $rs->f('setting_label'),
                 'global' => $rs->blog_id == ''
-            );
+            ];
         }
 
@@ -375,5 +375,5 @@
         $array = $global ? 'global' : 'local';
         unset($this->{$array . '_settings'});
-        $this->{$array . '_settings'} = array();
+        $this->{$array . '_settings'} = [];
 
         $array          = $global ? 'local' : 'global';
Index: inc/core/class.dc.plugins.php
===================================================================
--- inc/core/class.dc.plugins.php	(revision 3731)
+++ inc/core/class.dc.plugins.php	(revision 3874)
@@ -39,10 +39,10 @@
     @param    properties    <b>array</b>        extra properties (currently available keys : permissions, priority, standalone_config, type)
      */
-    public function registerModule($name, $desc, $author, $version, $properties = array())
+    public function registerModule($name, $desc, $author, $version, $properties = [])
     {
         # Fallback to legacy registerModule parameters
         if (!is_array($properties)) {
             $args       = func_get_args();
-            $properties = array();
+            $properties = [];
             if (isset($args[4])) {
                 $properties['permissions'] = $args[4];
Index: inc/core/class.dc.postmedia.php
===================================================================
--- inc/core/class.dc.postmedia.php	(revision 3731)
+++ inc/core/class.dc.postmedia.php	(revision 3874)
@@ -37,5 +37,5 @@
     @return    <b>array</b> Array of fileItems
      */
-    public function getPostMedia($params = array())
+    public function getPostMedia($params = [])
     {
         $strReq =
@@ -55,5 +55,5 @@
         }
 
-        $where = array();
+        $where = [];
         if (isset($params['post_id'])) {
             $where[] = "PM.post_id " . $this->con->in($params['post_id']);
@@ -94,5 +94,5 @@
         $media_id = (integer) $media_id;
 
-        $f = $this->getPostMedia(array('post_id' => $post_id, 'media_id' => $media_id, 'link_type' => $link_type));
+        $f = $this->getPostMedia(['post_id' => $post_id, 'media_id' => $media_id, 'link_type' => $link_type]);
 
         if (!$f->isEmpty()) {
@@ -157,5 +157,5 @@
         $rs = $this->con->select($strReq);
 
-        $res = array();
+        $res = [];
 
         while ($rs->fetch()) {
Index: inc/core/class.dc.prefs.php
===================================================================
--- inc/core/class.dc.prefs.php	(revision 3731)
+++ inc/core/class.dc.prefs.php	(revision 3874)
@@ -22,5 +22,5 @@
     protected $user_id; ///< <b>string</b> User ID
 
-    protected $workspaces = array(); ///< <b>array</b> Associative workspaces array
+    protected $workspaces = []; ///< <b>array</b> Associative workspaces array
 
     protected $ws; ///< <b>string</b> Current workspace
Index: inc/core/class.dc.rs.extensions.php
===================================================================
--- inc/core/class.dc.rs.extensions.php	(revision 3731)
+++ inc/core/class.dc.rs.extensions.php	(revision 3874)
@@ -348,5 +348,5 @@
     {
         if ($encoded) {
-            return strtr($rs->user_email, array('@' => '%40', '.' => '%2e'));
+            return strtr($rs->user_email, ['@' => '%40', '.' => '%2e']);
         }
         return $rs->user_email;
@@ -577,5 +577,5 @@
 
         if ($rs->core->blog->settings->system->comments_nofollow) {
-            $res = preg_replace_callback('#<a(.*?href=".*?".*?)>#ms', array('self', 'noFollowURL'), $res);
+            $res = preg_replace_callback('#<a(.*?href=".*?".*?)>#ms', ['self', 'noFollowURL'], $res);
         }
 
@@ -655,5 +655,5 @@
     {
         if ($encoded) {
-            return strtr($rs->comment_email, array('@' => '%40', '.' => '%2e'));
+            return strtr($rs->comment_email, ['@' => '%40', '.' => '%2e']);
         }
         return $rs->comment_email;
@@ -864,5 +864,5 @@
             return $options;
         }
-        return array();
+        return [];
     }
 
@@ -920,5 +920,5 @@
         $this->sortsign  = strtolower($order) == 'asc' ? 1 : -1;
 
-        usort($this->__data, array($this, 'lexicalSortCallback'));
+        usort($this->__data, [$this, 'lexicalSortCallback']);
 
         $this->sortfield = null;
Index: inc/core/class.dc.settings.php
===================================================================
--- inc/core/class.dc.settings.php	(revision 3731)
+++ inc/core/class.dc.settings.php	(revision 3874)
@@ -23,5 +23,5 @@
     protected $blog_id; ///< <b>string</b> Blog ID
 
-    protected $namespaces = array(); ///< <b>array</b> Associative namespaces array
+    protected $namespaces = []; ///< <b>array</b> Associative namespaces array
 
     protected $ns; ///< <b>string</b> Current namespace
@@ -222,5 +222,5 @@
             $this->namespaces[$this->ns]->$n['value'] = $v;
         } else {
-            $this->namespaces[$this->ns]->$n = array(
+            $this->namespaces[$this->ns]->$n = [
                 'ns'     => $this->ns,
                 'value'  => $v,
@@ -228,5 +228,5 @@
                 'label'  => '',
                 'global' => false
-            );
+            ];
         }
     }
@@ -321,5 +321,5 @@
         $this->raiseDeprecated('dumpSettings');
 
-        $settings = array();
+        $settings = [];
         // Parse all the namespaces
         foreach (array_keys($this->namespaces) as $id => $ns) {
@@ -343,5 +343,5 @@
         $this->raiseDeprecated('dumpGlobalSettings');
 
-        $settings = array();
+        $settings = [];
         // Parse all the namespaces
         foreach (array_keys($this->namespaces) as $id => $ns) {
@@ -363,8 +363,8 @@
     @return    <b>record</b>    A record
      */
-    public function getGlobalSettings($params = array())
+    public function getGlobalSettings($params = [])
     {
         $strReq = "SELECT * from " . $this->table . " ";
-        $where  = array();
+        $where  = [];
         if (!empty($params['ns'])) {
             $where[] = "setting_ns = '" . $this->con->escape($params['ns']) . "'";
Index: inc/core/class.dc.sql.statement.php
===================================================================
--- inc/core/class.dc.sql.statement.php	(revision 3754)
+++ inc/core/class.dc.sql.statement.php	(revision 3874)
@@ -45,5 +45,5 @@
         $this->cond    =
         $this->sql     =
-        array();
+        [];
     }
 
@@ -106,5 +106,5 @@
     {
         if ($reset) {
-            $this->columns = array();
+            $this->columns = [];
         }
         if (is_array($c)) {
@@ -140,5 +140,5 @@
     {
         if ($reset) {
-            $this->from = array();
+            $this->from = [];
         }
         // Remove comma on beginning of clause(s) (legacy code)
@@ -167,5 +167,5 @@
     {
         if ($reset) {
-            $this->where = array();
+            $this->where = [];
         }
         if (is_array($c)) {
@@ -188,5 +188,5 @@
     {
         if ($reset) {
-            $this->cond = array();
+            $this->cond = [];
         }
         if (is_array($c)) {
@@ -209,5 +209,5 @@
     {
         if ($reset) {
-            $this->sql = array();
+            $this->sql = [];
         }
         if (is_array($c)) {
@@ -289,5 +289,5 @@
         } else {
             $clause = "LIKE '" .
-            $this->escape(preg_replace(array('%', '_', '!'), array('!%', '!_', '!!'), $value)) .
+            $this->escape(preg_replace(['%', '_', '!'], ['!%', '!_', '!!'], $value)) .
                 "%' ESCAPE '!'";
         }
@@ -313,10 +313,10 @@
         $filter = function ($s) {
             $s        = strtoupper($s);
-            $patterns = array(
+            $patterns = [
                 '\s+' => ' ', // Multiple spaces/tabs -> one space
                 ' \)' => ')', // <space>) -> )
                 ' ,'  => ',', // <space>, -> ,
                 '\( ' => '(' // (<space> -> (
-            );
+            ];
             foreach ($patterns as $pattern => $replace) {
                 $s = preg_replace('!' . $pattern . '!', $replace, $s);
@@ -353,5 +353,5 @@
         $this->order  =
         $this->group  =
-        array();
+        [];
 
         $this->limit    = null;
@@ -373,5 +373,5 @@
     {
         if ($reset) {
-            $this->join = array();
+            $this->join = [];
         }
         if (is_array($c)) {
@@ -394,5 +394,5 @@
     {
         if ($reset) {
-            $this->having = array();
+            $this->having = [];
         }
         if (is_array($c)) {
@@ -415,5 +415,5 @@
     {
         if ($reset) {
-            $this->order = array();
+            $this->order = [];
         }
         if (is_array($c)) {
@@ -436,5 +436,5 @@
     {
         if ($reset) {
-            $this->group = array();
+            $this->group = [];
         }
         if (is_array($c)) {
@@ -653,5 +653,5 @@
     public function __construct(&$core, $ctx = null)
     {
-        $this->set = array();
+        $this->set = [];
 
         parent::__construct($core, $ctx);
@@ -695,5 +695,5 @@
     {
         if ($reset) {
-            $this->set = array();
+            $this->set = [];
         }
         if (is_array($c)) {
@@ -825,5 +825,5 @@
     public function __construct(&$core, $ctx = null)
     {
-        $this->lines = array();
+        $this->lines = [];
 
         parent::__construct($core, $ctx);
@@ -854,5 +854,5 @@
     {
         if ($reset) {
-            $this->lines = array();
+            $this->lines = [];
         }
         if (is_array($c)) {
@@ -907,5 +907,5 @@
         $query .= 'VALUES ';
         if (count($this->lines)) {
-            $raws = array();
+            $raws = [];
             foreach ($this->lines as $line) {
                 $raws[] = '(' . join(', ', $line) . ')';
Index: inc/core/class.dc.store.parser.php
===================================================================
--- inc/core/class.dc.store.parser.php	(revision 3731)
+++ inc/core/class.dc.store.parser.php	(revision 3874)
@@ -37,5 +37,5 @@
 
         $this->xml   = simplexml_load_string($data);
-        $this->items = array();
+        $this->items = [];
 
         if ($this->xml === false) {
@@ -61,5 +61,5 @@
             $attrs = $i->attributes();
 
-            $item = array();
+            $item = [];
 
             # DC/DA shared markers
@@ -79,5 +79,5 @@
             $item['sshot']   = (string) $i->children(self::$bloc)->sshot;
 
-            $tags = array();
+            $tags = [];
             foreach ($i->children(self::$bloc)->tags as $t) {
                 $tags[] = (string) $t->tag;
